Page MenuHomePhabricator

Missing close icon in settings: Page Preview dialogs should be able to close
Closed, ResolvedPublic1 Story Points

Description

Accepted Criteria

  • User should be able to close dialog box by clicking "X" in the corner of box

  • on modal which shows how to reenable previews, no "X" should appear

Background

This issue occurs on mpga branch.

  • Click settings cog
  • Change your mind and click outside dialog

Expected: dialog closes.
Actual: Nothing happens - forced to refresh or hit save to close dialog (which is counterintuitive if you are not changing the state).

Event Timeline

Jdlrobson created this task.Jan 5 2017, 5:19 AM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJan 5 2017, 5:19 AM
ovasileva triaged this task as High priority.Jan 5 2017, 4:42 PM
ovasileva added a project: Readers-Web-Backlog.
ovasileva added subscribers: Nirzar, ovasileva.

@Nirzar - what should we do here? Note that we have two of these dialogs, in the first (this one) it makes sense to allow for closing, in the second (the informational one), both actions would do the same.

ovasileva updated the task description. (Show Details)Jan 25 2017, 7:49 PM

@Nirzar - can you double-check acceptance criteria?

ovasileva updated the task description. (Show Details)Jan 25 2017, 7:55 PM
ovasileva set the point value for this task to 2.

The description looks correct to me. if this is happening in new hovercard preferences then we need to fix it

ovasileva renamed this task from Should be possible to cancel a dialog to Page Preview dialogs should be able to close.Feb 1 2017, 6:45 PM
ovasileva changed the point value for this task from 2 to 1.Feb 1 2017, 6:50 PM
Jhernandez renamed this task from Page Preview dialogs should be able to close to Missing close icon in settings: Page Preview dialogs should be able to close.Feb 1 2017, 6:51 PM

Change 335489 had a related patch set uploaded (by Jdlrobson):
Add close button to settings dialog

https://gerrit.wikimedia.org/r/335489

Change 335489 merged by jenkins-bot:
Add close button to settings dialog

https://gerrit.wikimedia.org/r/335489

@Jdlrobson Left a note in the patch but re-posting here (because gerrit sucks for conversations and you may never see it)

Please, if possible, next time split the patches.
The three bullet points on the commit message seem great candidates to be standalone small commits
(* Load the close icon (previously was not loaded) * Take opportunity to simplify selectors in setting panel and remove unnecessary id selectors * Correct size of header to be consistent with mediawiki ui icon)

They also are different types of work (1 bug + 2 hygiene). I know it is annoying but the git history and the review are much better when splitting the changes ๐Ÿ˜„

phuedx assigned this task to ovasileva.Feb 2 2017, 5:21 PM

can i see it on reading-web-staging?

Done. Staging now has the up to date mpga branch.

Signed off from design.

ovasileva closed this task as Resolved.Feb 3 2017, 11:42 AM

All done!